"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("mocha");
const chai_1 = require("chai");
const test_1 = require("./test");
const Qtum_1 = require("./Qtum");
const Contract_1 = require("./Contract");
describe("Qtum", () => {
    const qtum = new Qtum_1.Qtum(test_1.rpcURL, test_1.repoData);
    it("can instantiate a contract", () => {
        const contract = qtum.contract("test/contracts/Methods.sol");
        chai_1.assert.instanceOf(contract, Contract_1.Contract);
    });
    it("throws an error if contract is not known", () => {
        // assertThrow
        chai_1.assert.throw(() => {
            qtum.contract("test/contracts/Unknown.sol");
        });
    });
});
